Advanced Threat Protection - Get
Hämtar inställningarna för Advanced Threat Protection för den angivna resursen.
GET https://management.azure.com/{resourceId}/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
Resursens identifierare. |
|
setting
|
path | True |
string |
Advanced Threat Protection-inställningsnamn. |
|
api-version
|
query | True |
string |
API-version för åtgärden |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Lyckad begäran om att hämta inställningar för Advanced Threat Protection. |
|
| Other Status Codes |
Felsvar som beskriver varför åtgärden misslyckades. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
Gets the Advanced Threat Protection settings for the specified resource.
Exempelbegäran
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview
Exempelsvar
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current",
"name": "current",
"type": "Microsoft.Security/advancedThreatProtectionSettings",
"properties": {
"isEnabled": true
}
}
Definitioner
| Name | Description |
|---|---|
|
Advanced |
Advanced Threat Protection-resursen. |
|
Cloud |
Vanligt felsvar för alla Azure Resource Manager-API:er för att returnera felinformation för misslyckade åtgärder. (Detta följer även formatet för OData-felsvar.). |
|
Cloud |
Felinformationen. |
|
Error |
Ytterligare information om resurshanteringsfelet. |
AdvancedThreatProtectionSetting
Advanced Threat Protection-resursen.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Resurs-ID |
| name |
string |
Resursnamn |
| properties.isEnabled |
boolean |
Anger om Advanced Threat Protection är aktiverat. |
| type |
string |
Resurstyp |
CloudError
Vanligt felsvar för alla Azure Resource Manager-API:er för att returnera felinformation för misslyckade åtgärder. (Detta följer även formatet för OData-felsvar.).
| Name | Typ | Description |
|---|---|---|
| error.additionalInfo |
Ytterligare information om felet. |
|
| error.code |
string |
Felkoden. |
| error.details |
Felinformationen. |
|
| error.message |
string |
Felmeddelandet. |
| error.target |
string |
Felmålet. |
CloudErrorBody
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |